using System;
using System.Reflection;

internal sealed class Delegate789 : MulticastDelegate
{
	public extern Module Invoke(object object_0);

	public static Module smethod_0(object object_0, Delegate789 delegate789_1)
	{
		return delegate789_1(object_0);
	}

	public extern Delegate789(object object_0, IntPtr intptr_0);

	static Delegate789()
	{
		Class10.smethod_13(typeof(Delegate789).TypeHandle);
	}

	internal static Delegate789 delegate789_0;
}
